Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request POST \ --url https://api.synapsai.cloud/v1/embeddings \ --header 'Content-Type: application/json' \ --data ' { "input": "<string>", "encoding_format": "float" } '
import requestsurl = "https://api.synapsai.cloud/v1/embeddings"payload = { "input": "<string>", "encoding_format": "float"}headers = {"Content-Type": "application/json"}response = requests.post(url, json=payload, headers=headers)print(response.text)
{ "object": "<string>", "data": [ { "object": "<string>", "embedding": [ 123 ], "index": 123 } ], "model": "<string>", "created": 123, "id": "<string>" }
Request to compute embeddings for sentences.
Single sentence string or list of sentences to embed. Required.
Output encoding format for embeddings: raw floats or base64-encoded binary.
float
base64
List of embeddings
Show child attributes